Bug 860407 - system hangs while playing a video via totem and on pressing the windows key [NEEDINFO]
system hangs while playing a video via totem and on pressing the windows key
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 14:46 EDT by Kedar Bidarkar
Modified: 2014-09-13 14:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-03 12:36:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mholec: needinfo? (kbidarka)


Attachments (Terms of Use)
playing a video on totem fails (439.42 KB, application/x-gzip)
2012-09-25 14:46 EDT, Kedar Bidarkar
no flags Details
Xorg.0.log from reporter's archive (68.69 KB, text/plain)
2012-09-25 18:04 EDT, Adam Williamson
no flags Details
/var/log/messages from the reporter's archives (3.07 MB, text/plain)
2012-09-25 18:06 EDT, Adam Williamson
no flags Details
dmesg from the reporter's archive (76.55 KB, text/plain)
2012-09-25 18:06 EDT, Adam Williamson
no flags Details

  None (edit)
Description Kedar Bidarkar 2012-09-25 14:46:07 EDT
Created attachment 617195 [details]
playing a video on totem fails

Description of problem:
Today tested again with the latest ISO used for Nouveau Test day  20120924-test_days-i386.iso



This issue can easily be reproduced, after running a video with totem player and then on pressing the windows key, or moving the mouse pointer to top left corner.


Version-Release number of selected component (if applicable):


How reproducible:
play a video via totem and press windows key

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Adam Williamson 2012-09-25 18:04:26 EDT
Created attachment 617288 [details]
Xorg.0.log from reporter's archive

separating out the files from the archive for easy reference
Comment 2 Adam Williamson 2012-09-25 18:06:02 EDT
Created attachment 617289 [details]
/var/log/messages from the reporter's archives
Comment 3 Adam Williamson 2012-09-25 18:06:24 EDT
Created attachment 617290 [details]
dmesg from the reporter's archive
Comment 4 Ben Skeggs 2012-09-25 21:54:27 EDT
Hmm, is there any particular video you used to try and reproduce this?  I can't reproduce it on a machine here running latest F18 from updates-testing at least.
Comment 5 Kedar Bidarkar 2012-09-28 10:40:47 EDT
Not sure if the kernel used to test had the fix for this, but this issue persists even with the kernel  3.6.0-0.rc7.git1.4.fc18.i686.

Also another thing is this issue is observed even after closing the totem player window and then after a while pressing the  windows key, or moving the mouse pointer to top left corner.

I was playing the video, NET_MAN.ogg
Comment 6 Kedar Bidarkar 2012-09-29 10:06:08 EDT
a) I think this is some other issue, this time I just launched totem player and the system crashed.

b) Absolutely no issue when triggered via Applications->Videos,  system crashes only if run 'totem' through cli and get the below message.

[root@localhost ~]# totem

(process:1772): Gtk-WARNING **: Locale not supported by C library.
	Using the fallback 'C' locale.

(totem:1772): Clutter-WARNING **: Locale not supported by C library.
Using the fallback 'C' locale.

(totem:1772): Grilo-WARNING **: [registry] grl-registry.c:330: Failed to initialize plugin: '/usr/lib/grilo-0.2/libgrlflickr.so'
Comment 7 Martin 2013-06-11 12:09:55 EDT
Kedar, are you able to reproduce it on latest Fedora 18 or 19?
Comment 8 Fedora End Of Life 2013-12-21 03:56:49 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.